public class MockButton : MockItem
{
    public MockButton ()
    {
        depth = 2;
        width = 80;
        height = 20;
        resizable = true;
    }

    public override void draw (Cairo.Context c)
    {
        cairo_rounded_rectangle (c, x + 0.5, y + 0.5, width, height, 5);
        c.set_source_rgb (1.0, 1.0, 1.0);
        c.fill_preserve ();
        c.set_source_rgb (0.0, 0.0, 0.0);
        c.set_line_width (1.0);
        c.stroke ();
    }
}
