public class MockLabel : MockItem
{
    public MockItemStringProperty text;

    public MockLabel ()
    {
        depth = 3;
        width = 80;
        height = 20;
        resizable = true;
        text = new MockItemStringProperty ("text", "Text", "Text");
        text.value_changed.connect (() => { redraw (); });
        add_property (text);
    }

    public override void draw (Cairo.Context c)
    {
        c.move_to (x, y + 15);
        c.text_path (text.value);
        c.set_source_rgb (0.0, 0.0, 0.0);
        c.fill ();
    }
}
